org.apache.tomcat.util.net

## Class SSLHostConfigCertificate

- java.lang.Object
- - org.apache.tomcat.util.net.SSLHostConfigCertificate

- All Implemented Interfaces:
    Serializable

      public class SSLHostConfigCertificate
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SSLHostConfigCertificate.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SSLHostConfigCertificate.Type` | `DEFAULT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSLHostConfigCertificate()`
    `SSLHostConfigCertificate(SSLHostConfig sslHostConfig, SSLHostConfigCertificate.Type type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCertificateChainFile()`
    `String` | `getCertificateFile()`
    `String` | `getCertificateKeyAlias()`
    `String` | `getCertificateKeyFile()`
    `String` | `getCertificateKeyPassword()`
    `KeyStore` | `getCertificateKeystore()`
    `String` | `getCertificateKeystoreFile()`
    `String` | `getCertificateKeystorePassword()`
    `String` | `getCertificateKeystoreProvider()`
    `String` | `getCertificateKeystoreType()`
    `SSLContext` | `getSslContext()`
    `SSLHostConfig` | `getSSLHostConfig()`
    `SSLHostConfigCertificate.Type` | `getType()`
    `void` | `setCertificateChainFile(String certificateChainFile)`
    `void` | `setCertificateFile(String certificateFile)`
    `void` | `setCertificateKeyAlias(String certificateKeyAlias)`
    `void` | `setCertificateKeyFile(String certificateKeyFile)`
    `void` | `setCertificateKeyPassword(String certificateKeyPassword)`
    `void` | `setCertificateKeystore(KeyStore certificateKeystore)`
    `void` | `setCertificateKeystoreFile(String certificateKeystoreFile)`
    `void` | `setCertificateKeystorePassword(String certificateKeystorePassword)`
    `void` | `setCertificateKeystoreProvider(String certificateKeystoreProvider)`
    `void` | `setCertificateKeystoreType(String certificateKeystoreType)`
    `void` | `setSslContext(SSLContext sslContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_TYPE

          public static final SSLHostConfigCertificate.Type DEFAULT_TYPE

  - ### Constructor Detail

    - #### SSLHostConfigCertificate

          public SSLHostConfigCertificate()

    - #### SSLHostConfigCertificate

          public SSLHostConfigCertificate(SSLHostConfig sslHostConfig,
                                  SSLHostConfigCertificate.Type type)

  - ### Method Detail

    - #### getSslContext

          public SSLContext getSslContext()

    - #### setSslContext

          public void setSslContext(SSLContext sslContext)

    - #### getSSLHostConfig

          public SSLHostConfig getSSLHostConfig()

    - #### getType

          public SSLHostConfigCertificate.Type getType()

    - #### getCertificateKeyPassword

          public String getCertificateKeyPassword()

    - #### setCertificateKeyPassword

          public void setCertificateKeyPassword(String certificateKeyPassword)

    - #### setCertificateKeyAlias

          public void setCertificateKeyAlias(String certificateKeyAlias)

    - #### getCertificateKeyAlias

          public String getCertificateKeyAlias()

    - #### setCertificateKeystoreFile

          public void setCertificateKeystoreFile(String certificateKeystoreFile)

    - #### getCertificateKeystoreFile

          public String getCertificateKeystoreFile()

    - #### setCertificateKeystorePassword

          public void setCertificateKeystorePassword(String certificateKeystorePassword)

    - #### getCertificateKeystorePassword

          public String getCertificateKeystorePassword()

    - #### setCertificateKeystoreProvider

          public void setCertificateKeystoreProvider(String certificateKeystoreProvider)

    - #### getCertificateKeystoreProvider

          public String getCertificateKeystoreProvider()

    - #### setCertificateKeystoreType

          public void setCertificateKeystoreType(String certificateKeystoreType)

    - #### getCertificateKeystoreType

          public String getCertificateKeystoreType()

    - #### setCertificateKeystore

          public void setCertificateKeystore(KeyStore certificateKeystore)

    - #### getCertificateKeystore

          public KeyStore getCertificateKeystore()
                                          throws IOException

      Throws:
        `IOException`

    - #### setCertificateChainFile

          public void setCertificateChainFile(String certificateChainFile)

    - #### getCertificateChainFile

          public String getCertificateChainFile()

    - #### setCertificateFile

          public void setCertificateFile(String certificateFile)

    - #### getCertificateFile

          public String getCertificateFile()

    - #### setCertificateKeyFile

          public void setCertificateKeyFile(String certificateKeyFile)

    - #### getCertificateKeyFile

          public String getCertificateKeyFile()

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.